Bug 152340 - NFSv4 does not work as expected
NFSv4 does not work as expected
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-28 12:50 EST by Tom
Modified: 2014-06-18 03:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 10:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output of failed nfsv4 mount (10.29 KB, text/plain)
2005-03-28 12:53 EST, Tom
no flags Details

  None (edit)
Description Tom 2005-03-28 12:50:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
I get repeated superblock errors when attempting to mount netapp exported filesystem via nfs4. Eventually, the connection will work (after multiple attempts over a prolonged time period)



Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-46

How reproducible:
Always

Steps to Reproduce:
1. boot system, attempt nfs4 mount
2. keep trying and trying..
3. eventually it will work..
  

Actual Results:  received superblock error

Expected Results:  should mount (as it eventually does)

Additional info:

I will be uploading a strace output shortly.. I read there's an updated nfsutils out there somewhere.. will it be released for RHEL4 shortly?
Comment 1 Tom 2005-03-28 12:53:15 EST
Created attachment 112390 [details]
strace output of failed nfsv4 mount
Comment 2 Steve Dickson 2005-03-30 14:13:10 EST
I believe this is the problem.... 

mount("NFSSERVER:/vol/vol0/home/accounts/user", "/mnt/remote", "nfs4",
0xc0ed0000, 0x805c3e0) = -1 EINVAL (Invalid argument)

what are your arguments to the mount command and how are the
filesystems exported on the server?
Comment 3 Jay Turner 2005-03-31 08:42:32 EST
Putting in NEEDINFO awaiting feedback requested in comment 2.
Comment 4 Tom 2005-03-31 12:57:26 EST
I thought I had posted an update yesterday.. odd..

regardless, i'm mounting a share exported on a netapp with kerberos 4 enabled.

I mount with the following command

mount -t nfs4 netapp:/export /mnt/point

sometimes it works, sometimes it doesn't.. it's not 100% failure, but when it
fails, I always get the superblock error.. 

Comment 5 Steve Dickson 2005-04-04 13:12:51 EDT
Would it be possible to post a bzip2-ed
ethereal trace (i.e. tethereal -w /tmp/data.pcap)
of this failure? 

FYI.. most of the time EINVAL errors  translate to export issues.
Comment 6 Jeff Layton 2008-08-29 10:49:18 EDT
No update to this bug in over 3 years. Closing with a resolution of INSUFFICIENT_DATA. Please reopen if this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.